<div class="container padding-top-20">
  <div class="col-md-3 border-off-white">
    <h2>Pages</h2>
    <hr>
    <h5>
      <a [routerLink]="['/edit-profile']">Edit Profile</a>
    </h5>

    <h5>
      <a [routerLink]="['/my-bookings']">My Bookings</a>
    </h5>

    <h5>
      <a [routerLink]="['/favourite-events']">Favourite Events</a>
    </h5>

    <h5>
      <a [routerLink]="['/my-events']">My Events</a>
    </h5>
  </div>

  <div class="col-md-9">
    <h2>My Bookings</h2>
    <hr>
    <div class="col-md-6 border-off-white" *ngFor="let booking of data.myBookings | async">
      <h4>
        {{booking.event.name}}
      </h4>
      <!-- {{booking.tickets | json}} -->
      <hr>

      <div class="col-md-12 margin-bottom-20 padding-bottom-20 border-off-white" *ngFor="let programme of booking.event.programmes; let i=index">
        <h4 class="text-danger">{{programme.programmeName}} ( {{programme.programmeCategory}})</h4>
        <hr>
        <strong>From </strong> {{programme.fromDate}} ({{programme.fromTime}})
        <strong>To</strong> {{programme.toDate}} ({{programme.toTime}})
        <div></div>
        <br>
        <div class="col-md-12 background-off-white padding-bottom-10">
          <h4>Tickets</h4>
          <hr>
          <div class="col-md-12" *ngFor="let ticket of programme.tickets; let j=index">
            <div class="col-md-8">
              <h5>
                <strong>{{ticket.category}}</strong>
              </h5>
              <!-- <h6>{{ticket.seats==0? "Tickets Over":"Only "+ticket.seats+" remaining"}}</h6> -->
            </div>
            <div class="col-md-4">
              <!-- <input max="{{ticket.seats}}" class="form-control margin-top-10" type="number" name="bookingTicketsNumber" id="" value="0"
                disabled [value]="booking.tickets[i][j]"> -->
              {{booking.tickets[i][j]}}
            </div>
          </div>
        </div>
      </div>

      <!-- <button class="pull-right btn btn-success pull-right pull-top margin-top--8">Book Tickets for this Event</button> -->


    </div>

  </div>
</div>